gnome-calls (41.0-1~git20211007174016.a3d89bc.bullseye) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Merge tag 'upstream/41.0' into feature/bullseye/upgrade-41.0

  [ Evangelos Ribeiro Tzaras ]
  * manager: Initialize g_auto variable to NULL
  * flatpak: Update dependencies
  * ci: Unbreak CI after Debian Bullseye release
  * sip: Avoid g_error for non-fatal issues
  * sip: provider: No need to print warning when no credentials file found
  * sip: provider: Try to create folder for credentials
  * sip: Avoid dereferencing a NULL pointer
  * new-call-box: Always update the UI when the list of origins changes
  * sip: origin: Bail when trying to go online but nua handle is not present
  * account-widget: Actually use the selected protocol
  * account-widget: Actually use the entered port
  * sip: Make save_to_disk() public and use it when updating accounts
  * origin: Fix the password when updating credentials
  * account-widget: Fix apply button not becoming sensitive
  * sip: origin: Include transport parameter in NUTAG_URL and friends
  * sip: origin: Warn instead of asserting in update_nua() on nua stack
  * Introduce CallsNetworkWatch to notify of network changes
  * sip: origin: Recreate sofia handles on network change
  * sip: origin: Handle nua_shutdown() timeout gracefully
  * sip: origin: Destroy registration handle on deinit
  * Document and release 41.rc
  * sip: provider: Skip creating credential directory on test
  * sip: origin: Do not use CallsNetworkWatch during tests
  * sip: origin: Bind sockets to NIC with default route
  * meson: Post release bump
  * Document and release 41.0

  [ Goran Vidović ]
  * Add Croatian translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Quentin PAGÈS ]
  * Add Occitan translation

  [ Andika Triwidada ]
  * Update Indonesian translation

  [ Fran Dieguez ]
  * Add Galician translation

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 07 Oct 2021 19:40:16 +0200

gnome-calls (0.3.4-1+droidian1) bullseye; urgency=medium

  * Merge remote-tracking branch 'origin/feature/bullseye/0.3.4-picks' into bullseye

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 25 Aug 2021 01:21:24 +0200

gnome-calls (0.3.4-1+droidian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * ofono: call: ensure signals get disconnected on voice_call object destruction
  * [ci] Allow building on Droidian infra
  * TEMP: do not pull our phone related repos
  * [packaging] Ensure the package is non-native

  [ Rafael Fontenelle ]
  * Add Brazilian Portuguese translation
  * doap: Add download and bug pages
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation

  [ Michael Oppliger ]
  * Update German translation

  [ Evangelos Ribeiro Tzaras ]
  * data: Clarify metainfo copyright to be CC0-1.0
  * Build "ugly code" in calls-call-display conditionally
  * record-store: Use g_autoptr(GError) to avoid having to g_error_free
  * Implement delete call with context menu on longpress
  * Make CallsContacts a singleton
  * Implement contact name lookup for call display
  * src/calls-notifier.c: Add call-back button
  * src/calls-call-window.c: Inhibit suspend during active call
  * docs: update URLs to source.puri.sm
  * po: fix duplicate language teams
  * Bump max allowed glib version to 2.64
  * meson: bump calls to 0.1.9
  * meson: allow internationalization of desktop files
  * doc: meson: fix ofono path
  * doc: meson: Use shared library for gtk-doc
  * debian: Add dependencies and rules for building docs
  * CI: build documentation
  * debian: Move documentation to own package calls-doc
  * data: Fix typo in desktop files
  * call-window: inhibit idle during active call
  * desktop: Add Network main category
  * manager: remove trailing whitespace
  * manager: add has_active_call() and hang_up_all_calls()
  * application: Hang up calls when closing the UI
  * application: add copy-number action
  * record-row: Allow copying number from context menu
  * record-row: hide copy number menu item
  * new-call-box: clear entry on longpress
  * application: chain up to parents finalize
  * application: Use g_autoptr and g_autofree
  * application: Notify when opening URI/files fails
  * ci: Build flatpak in packaging stage
  * call-display: fix whitespace
  * project: rename to gnome-calls
  * record-store: Handle old and new database locations gracefully
  * display: fix null pointer dereference
  * code style: consistent whitespaces for g_autoptr
  * application: use g_autoptr
  * project: rename back to calls
  * d/control: Add myself as maintainer
  * Document changes and release 0.3.0
  * application: Fix double free
  * Document and release 0.3.1
  * meson: bump version
  * po: Add src/ui/contacts-box.ui to POTFILES.in
  * d/gbp.conf: automatically bump project version
  * new-call-box: make sure to call origin_count_changed_cb
  * codestyle: remove whitespaces
  * plugins: use g_autoptr for GError
  * flatpak: remove libhandy as it is part of the SDK
  * meson: bump required libhandy-1 version >1.1.90
  * contact-row: remove deprecated function
  * dummy: fix infinite ringtone
  * ringer: use quiet profile for non-primary calls
  * manager: remove unused function
  * manager: hang up secondary calls
  * ci: add -noreset to xvfb-run invocation for flatpak builds
  * plugins: fix memory leaks with respect to items in GListStore
  * ofono: Derive from CallsProvider
  * test: Test loading provider plugins
  * ofono: use g_bus_watch_name
  * sip: Initial provider
  * sip: Origin needs account credentials
  * sip: sipify provider with sofia
  * sip: Add media manager and sipify origin
  * sip: initial call handling
  * sip: origin: fix CallsSipHandles reference in sip_callback
  * sip: origin: get address on incoming call
  * sip: origin: fix direct connection case
  * sip: call: rework call state changes
  * sip: origin: emit message on DNS error
  * sip: origin: do not use hardcoded ports for RTP
  * sip: pipeline: bind sockets for RTP
  * sip: origin: register with SIP server
  * sip: go offline when disposing CallsSipOrigin
  * sip: rework setting SDP
  * sip: allow specifying local port and use IPv6
  * sip: Use app name in the user agent
  * sip: media: change default codec to PCMA
  * sip: handle i_outbound 404 errors
  * sip: media: improve SDP offer/answer handling
  * sip: use ipv4 exclusively for now
  * sip: improve connection handling by using relevant sofia tags
  * application: open sip uri
  * sip: use g_return_if_fail and friends only for public functions
  * sip: slightly improved authentication
  * sip: fix infinite ringtone loop
  * sip-media: enable echo cancellation
  * sip: do not auto load accounts when running tests
  * test: Add basic SIP provider tests
  * test: Test CallsSipOrigin
  * sip: provider: use g_get_user_config_dir () for account config
  * sip: provider: Fall back to reasonable values for local-port property
  * sip: pipeline: clean up in finalize ()
  * new-call-box: Connect signals only if origins non-NULL
  * provider: Add API for loading and unloading provider plugins
  * tests: use plugin load API
  * test: test-plugins: Add SIP plugin
  * sip: Allow controlling automatic account loading via environment
  * contact-provider: remove trailing whitespaces
  * ci: add -noreset to xvfb-run invocation
  * call: g_return_if_fail: type check calls_call_get_contact ()
  * contacts-provider: fix docstring
  * best-match: g_return_if_fail if not GeeCollection
  * origin: Add country-code property
  * application: Use the country code
  * best-match: Use the country code
  * Add API to get SIM country code
  * mm: Implement country-code property
  * manager: set default origin
  * best-match: Lookup contact if country code changed
  * best-match: disconnect old signal handlers
  * plugins: build as shared library instead of shared module
  * sip: remove FOR_TESTING ifdef
  * tests: don't special case tests needing FOR_TESTING define
  * mm-origin: codestyle
  * mm-origin: fix memory leak
  * Introduce HACKING.md
  * media-manager: codestyle
  * sip: media-manager: remove unused function prototypes
  * media: manager: support multiple codecs SDP wise
  * sip: media: use number types for payload id and clock rate
  * sip: call: rename setup local/remote connection functions
  * sip: media: rework codec negotiation
  * sip: media-pipeline: only create pipeline after codec negotiation
  * sip: gst-rfc3551: query for plugin availability
  * sip: gst-rfc3551: Add docstrings for public functions
  * tests: Update year in SPDX header
  * tests: Test SDP messages
  * sip: media-manager: fix G_LOG_DOMAIN
  * sip: media-manager: fix SDP message when there is no supported codec
  * best-match: avoid using NULL phone number
  * best-match: Don't set NULL phone numbers when updating country code
  * meson: Fix project name in license header
  * build: doc: deduplicate sources
  * sip: build: depend on config.h
  * ci: disable testing in flatpak
  * sip: origin: make create_inbound a private function
  * sip: origin: Remove hardcoded display name from contact header
  * sip: origin: Remove unnecessary code
  * sip: provider: Allow overriding SIP account config via environment
  * sip: provider: use g_clear_pointer pattern instead of emulating it
  * sip: origin: Allow using a local port of 0
  * sip: pipeline: Only inform of unhandled bus massages when debugging
  * sip: codestyle changes
  * sip: provider: document public functions
  * sip: call: Don't fail when hanging up on an incoming call
  * plugins: make plugins shared modules again
  * codestyle: application
  * application: add --version flag
  * debian: ran wrap-and-sort -ast
  * d/control: Add gstreamer plugins for SIP calling tests
  * sip: media-pipeline: Allow overriding audio elements from environment
  * test: sip: use g_assert_cmpint for asserting enums
  * test: Use dummy audio elements for Gstreamer pipelines
  * test: Add calling tests
  * d/gbp.conf: set multimaint-merge true
  * Document and release 0.3.2
  * d/control: bump required libhandy
  * test: sip: Don't use DNS lookups
  * sip: fix typos
  * call-record: Get rid of macros
  * codestyle: get rid of CALLS_SET_PTR_PROPERTY macro
  * codestyle: align function prototypes in calls-origin header
  * codestyle: new-call-box
  * manager: g_assert in static functions
  * Revert "sip: build: depend on config.h"
  * build: separate version from the rest of the configuration data
  * ci: Generate code coverage reports
  * doc: Fix gtk-doc transfer annotations
  * call: doc: Indicate ownership in docstrings
  * manager: remove unused CallsProvider argument from functions
  * manager: add debug messages when adding or removing origins
  * README: Include code coverage badge
  * test: sip: Connect to state-changed signal
  * sip: origin: Fix nua_authenticate call
  * sip: media-pipeline: Fix memory leak
  * sip: media-pipeline: Fix memory leak in error path
  * flatpak: change URL for boost
  * sip: media-pipeline: Do not set the stream properties prematurely
  * Add CallsCredentials class and use it in CallsSipProvider
  * sip: origin: Use CallsCredentials and adapt to changes
  * Add CallsAccountInterface
  * sip: origin: Use CallsAccountState instead of SipAccountState
  * sip: origin: Implement CallsAccountsInterface
  * sip: provider: codestyle
  * sip: provider: return origin in calls_sip_provider_add_origin()
  * Add CallsAccountProviderInterface
  * sip: provider: Implement CallsAccountProvider interface
  * test: Add account tests
  * Document and release 0.3.3
  * manager: Set peas search path only once
  * provider: whitespace and indentation
  * cleanup: Fix calls_origin_get_name() related memory leaks
  * mm: origin: Try using own number as the origin name
  * account-provider: Add debugging in the public functions
  * plugins: provider: Use CallsOrigin instead of derived types for GListStore
  * util: Add simple API to query protocol
  * test: Add util tests
  * call: Introduce protocol property
  * calls-record: Introduce the protocol property
  * provider: Add API to query supported protocols
  * origin: Add API to query supported protocols
  * manager: support multiple providers
  * application: Add CallsSettings class
  * new-call-box: Honour auto-use-default-origins setting
  * application: Don't add a provider if one is already present
  * manager: Differentiate the NO_ORIGIN state
  * test: manager: Use more appropriate `g_assert_*()` calls
  * sip: provider: Don't warn when trying to add account multiple times
  * tests: manager: Add multiple provider tests
  * application: settings: Add country code setting
  * manager: Update country code
  * ci: disable flatpak build
  * d/control: Add libxml2-utils
  * meson: Compile schemas in build directory
  * Add run script to the build directory
  * Update README: Explain how to start calls without installing
  * Initial DBus API
  * display: codestyle
  * display: Fix typo
  * record-store: codestyle
  * Fix old-style warnings all over the codebase
  * Fix missing-declarations warnings all over the codebase
  * sip: media-pipeline: Don't shadow props variable
  * ofono: call: Don't shadow props variable
  * mm: origin: Don't shadow props variable
  * call-display: Add default case to switch statement
  * record-store: Add default case to switch statements
  * main-window: Add default case to switch statement
  * meson: Use stricter compilation warnings and errors
  * desktop-file: Register as sip and sips URI scheme handler
  * run: Add plugin search directory
  * README: Reword plugin search directory section to be more accurate
  * dir-locals: Treat G_* macros as including a semicolon
  * manager: Fix whitespace
  * manager: codestyle
  * sip: origin: Fix if condition in dispose()
  * util: Make position argument in calls_find_store() optional
  * test: manager: Expanded *has_provider() testing
  * Document and release 0.3.4
  * run: Run under gdb when CALLS_GDB is set to 1
  * ringer: Follow coding style for G_LOG_DOMAIN
  * debug: Add G_LOG_DOMAIN to every file using g_debug()
  * run: Allow passing arguments to calls when running under gdb
  * notifier: Explicitly handle unknown callers
  * sip: origin: codestyle
  * sip: origin: Remove unnecessary notify
  * sip: origin: Handle unregistering (going offline)
  * sip: origin: No need to explicitly clear nua handles
  * meson: bump required version to 0.49.0
  * meson: Fix typo in gnome.compile_schemas
  * meson: Passing `-fPIE` explicitly is discouraged
  * flatpak: Update gom to 0.4.0
  * flatpak: Update e-d-s to 3.40
  * flatpak: Update folks to 0.15
  * flatpak: Update ModemManager to 1.16
  * ci: Reenable flatpak builds
  * doap: Remove Bob from maintainer list
  * meson: bump minimum and maximum glib to 2.64 and 2.68
  * meson: Disable deprecation warning for e-d-s
  * util: Get rid of conditional compilation in calls_find_in_store()
  * sip: provider: Keep provider alive while there are still origins
  * application: Allow invoking with multiple `-p` arguments
  * application: settings: Add autoload-plugins setting
  * manager: Don't use peas_engine_prepend_search_path
  * meson: Add postinstall script to compile schemas etc
  * best-match: codestyle
  * best-match: Preliminary handling of SIP addresses
  * call-display: Ellipsize labels at the end
  * doap: Add gnome user ids
  * ci: Switch to Debian Bullseye images
  * meson: Change homepage to GNOMEs gitlab
  * docs: Change homepage to GNOMEs gitlab
  * resources: Use /org/gnome prefix and adapt to changes
  * schema: Use org.gnome prefix and adapt to changes
  * DBus: Use org.gnome prefix and adapt to changes
  * project: Use org.gnome prefix in app id and adapt to changes
  * debian: Remove old desktop files on upgrade
  * flatpak: Change calls URL
  * meson: Remove wayland option
  * d/copyright: Dropped wayland sources
  * debian: Change URL of homepage
  * doap: Change URL of homepage
  * sip: origin: Explicitly include contact header for sofia > 1.13
  * metainfo: Update mimetypes
  * meson: Conform to GNOME versioning
  * d/gbp.conf: Remove hook that bumps project version in meson.build
  * Document and release 41.alpha
  * README: Update URLs
  * metainfo: Update URLs
  * metainfo: Update developers
  * metainfo: Fix typo
  * ci: Validate appstream metadata
  * NEWS: Update with important information
  * NEWS: Reword to be more precise
  * HACKING: Fix style around signals
  * Various codestyle fixes
  * dir-locals: Treat more G_* macros as including a semicolon
  * Remove CallsCredentials and adapt to changes
  * account: Use explicit notify for account state property
  * account: Add API to query account state
  * account: Add address property
  * manager: Add API to query loaded providers
  * manager: Emit signal when loaded providers have changed
  * manager: Temporarily hold a reference to provider being unloaded
  * sip: provider: Use g_auto and GStrv
  * sip: provider: Load credentials from GKeyFile
  * sip: provider: Rename test environment variable
  * sip: provider: Add API to remove origins
  * sip: Introduce CallsSipAccountWidget
  * account-provider: Repurpose to allow graphical credential editing
  * sip: Implement CallsAccountProvider interface
  * sip: account-widget: Emit "widget-edit-done" when done editting
  * main-window: Add menu button
  * Introduce CallsAccountOverview: A UI to allow managing VoIP accounts
  * account-overview: Hook up available providers
  * sip: provider: Add API to save credentials to GKeyFile
  * sip: provider: Save accounts to disk
  * sip: origin: Set and update name of origin
  * sip: provider: Add argument to _add_origin() whether to store credentials
  * debian: Add libsecret as a build dependency
  * Introduce CallsSecretStore to store credentials
  * sip: provider: Use the secret store to store credentials
  * sip: provider: Update credentials on disk when removing origin
  * sip: provider: Delete password from keyring when deleting account
  * sip: provider: Retrieve password from keyring
  * sip: provider: Don't store the password in the GKeyFile
  * about: Update authors
  * about: Update copyright
  * main-window: Fix the action name for the about dialog
  * secret-store: Work around bug in gnome-keyring preventing keyring unlocking
  * resources: Use /org/gnome prefix and adapt to changes
  * schema: Use org.gnome prefix and adapt to changes
  * DBus: Use org.gnome prefix and adapt to changes
  * project: Use org.gnome prefix in app id and adapt to changes
  * debian: Remove old desktop files on upgrade
  * meson: Add postinstall script to compile schemas etc
  * sip: origin: Add protocol prefix if missing
  * origin: Add "numeric-addresses" property
  * new-call-box: Simplify HdyComboRow binding
  * calls-new-call-box: Only show origin combo box if there is a choice
  * new-call-box: Remove unused GtkListStore
  * new-call-box: Remove unnecessary GtkBox
  * new-call-box: Introduce numeric-input-only property
  * new-call-box: Add entry for non-numeric inputs
  * new-call-box: Set numeric input property based on selected origin
  * new-call-box: Tweak the UI
  * new-call-box: Add placeholder texts for text input fields
  * meson: bump to 41.beta
  * Document and release 41.beta
  * Post-release version bump
  * new-call-box: Reindent
  * new-call-box: Press enter to place a call
  * new-call-box: Hide empty results

  [ Daniel Șerbănescu ]
  * po: Add Romanian translation
  * po: Update Romanian translation
  * po: Update Romanian translation
  * po: Update Romanian translation
  * po: Update Romanian translation
  * Update Romanian translation

  [ Yuri Chornoivan ]
  * po: Add Ukrainian translation
  * Use an ellipsis in translation for Ukrainian
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * po: Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * po: Update Swedish translation
  * po: Update Swedish translation
  * po: Update Swedish translation
  * po: Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation

  [ Mohammed Sadiq ]
  * new-call: Set input hints and purpose of SearchEntry
  * history-box: Add empty view
  * Add calls-application class
  * window: hide windows on delete
  * new-call-box: Use null-terminated string to set as buffer text
  * mm-provider: Fix a check to remove device
  * main-window: Don’t set program-name in about dialog
  * call-display: Use real ellipsis
  * Add calls-ussd interface
  * mm-origin: Implement CallsUssd interface
  * util: Add API to test for USSD command
  * manager: Hook to ussd signals from provider
  * main-window: Add dialog to handle USSD
  * new-call-box: Handle USSD commands
  * application: Simplify loading css
  * application: Remove unused code
  * resources: Use standard icon path
  * Let calls-provider be an abstract class
  * provider: Use GListModel to track origins
  * application: Open only the first 'tel:' URI
  * provider: Avoid private data
  * provider: Rename a variable
  * provider: Implement default methods
  * Let calls-call be an abstract class
  * build: Avoid building files multiple times
  * application: Fix handling commandline arguments
  * history-box: Use content style for listbox
  * sip-account-widget: Validate port value on change
  * Add and use new logger

  [ Kristjan SCHMIDT ]
  * Add Esperanto translation

  [ Guido Günther ]
  * meson: use gnome.gdbus_codegen
  * Merge branch 'debian-copyright-file' into 'master'
  * Merge branch 'desktop-file' into 'master'
  * Test compilation and run unit tests via gitlab-ci
  * meson: Bump required version
  * main: Factor out the appliction ID
  * main: Set program name to APP_ID
  * mm-provider: Clarify warning a bit
  * debian: Add superficial autopkgtest
  * gitlab-ci: Specify stages
  * gitlab-ci: Build package and run autopkgtest / lintian
  * po: Update pofiles.in
  * Add potfile
  * Update POTFILES.in
  * Build against Debian bullseye
  * Document changes and release 0.1.5
  * debian: Add gbp.conf
  * po: Add plugins to POTFILES.skip
  * Drop translations from property names and descriptions
  * po: Update pot file
  * calls-contacts: Document lookup_phone_number
  * calls-call-record-row: Ref the returned contact
  * build: Specifify glib versions
  * ringer: Make more functions static
  * debian: Build-depend on libfeedback-dev
  * ringer: Use libfeedback
  * tests: Disable atk bridge
  * Show notification on missed calls
  * Document changes and release 0.1.6
  * calls-call-record-row: Print 'Anonymous caller' on empty numbers
  * calls-call-record-row: Set call back button insensitive for anonymous caller
  * Document changes and release 0.1.7
  * po: Add Hungarian to LINGUAS
  * call-record-row: Use g_autoptr for the GError
  * calls-call-record-row: Ignore anonymous callsers
  * po: Add Spanish to LINGUAS
  * gitlab-ci: Allow to only build a package
  * main-window: Allow the in app notification to wrap
  * calls-main-window: Bring back old error string when no modem is present
  * doap: Add devrtz to list of maintainers
  * doap: Fix sytnax
  * Document changes and release 0.1.8
  * po: Add calls-notifier.c
  * gitlab-ci: Fail when C files are missing from POTFILES.in
  * debian: Add desktop-file-utils
  * data: Check desktop file in build dir
  * d/control: Update description
  * gitlab-template: Add Librem 5
  * gitlab-ci: Use byzantium instead of Debian bullseye
  * notifier: Fix compile warning
  * manager: Allow to add plugin dir via environent
  * window: Don't unhibit with 0 cookie
  * build: Move generated souces before source file list
  * build: deduplicate sources
  * provider: Fix gtk-doc transfer annotations
  * calls: Fix gtk-doc transfer annotation
  * Expose call objects on DBus
  * dbus-manager: Fix typo in log-domain
  * Drop layer-surface
  * dbus: Add more DBus properties
  * calls-notifier: Set log domain
  * build: Allow glib 2.70
  * notifier: Add notification category
  * dbus-manager: Fix typo in log-domain
  * Drop layer-surface
  * dbus: Add more DBus properties

  [ Marc Riera ]
  * Update Catalan translation

  [ Мирослав Николић ]
  * Update Serbian translation

  [ Fabio Tomat ]
  * po: Add friulian translations
  * po: Add friulian to LINGUAS
  * po: Just fur for friulian locale
  * Update Friulian translation

  [ Vittorio Monti ]
  * po: Update Italian translation
  * po: Update italian translation
  * po: Update Italian translation

  [ Bruno Lopes da Silva ]
  * Update Brazilian Portuguese translation

  [ Adrien Plazas ]
  * Merge branch 'wip/aplazas/destop-appdata' into 'master'
  * call-display: Drop useless packing information
  * call-display: Drop a useless placeholder
  * call-display: Center and set the desired size
  * call-display: Display two digits for minutes
  * call-display: Make time larger and give it some margin
  * call-display: Replace name by primary and secondary info
  * call-display: Move hang up button at the bottom
  * call-display: Make the buttons match the new design
  * Add CallsEncryptionIndicator
  * Initialize CallsEncryptionIndicator
  * call-display: Add an encryption indicator
  * party: Replace the default party avatar
  * Drop the CALLS_DISPOSE_OBJECT() macro
  * Drop the CALLS_FREE_PTR_PROPERTY() macro
  * Drop the CALLS_SET_OBJECT_PROPERTY() macro
  * flatpak: Add ModemManager
  * flatpak: Drop Ofono and mobile-broadband-provider-info
  * Add CallsHistoryBox
  * main-window: Use CallsHistoryBox
  * call-display: Add a dial pad overlay
  * main-window: Drop the new call expander
  * Add CallsNewCallBox
  * main-window: Use a new call box
  * main-window: Fix the title
  * flatpak: Enable access to dconf config
  * meson: Add config.h
  * main: Use APP_ID from config.h
  * main-window: Add the 'call-added' and 'call-removed' signals
  * Add CallsCallWindow
  * Display calls in the call window.
  * main-window: Don't display calls
  * main-window: Add the 'about' action
  * Add CallsHistoryHeaderBar
  * Add CallsNewCallHeaderBar
  * main-window: Add the 'new-call' and 'back' actions
  * main-window: Replace the stack switcher by a header bar
  * main-window: Move calls history before the new call box
  * flatpak: Bump the SDK to master
  * flatpak: Don't build the libhandy Glade catalog
  * flatpak: Bump the SDK to master
  * Port to libhandy 1
  * main-window: Use HdyViewSwitcherTitle
  * data: List compatible form-factors
  * style: Fix the CSS path to the HdyKeypad buttons
  * flatpak: Bump libical to 3.0.10
  * main-window: Make it a HdyApplicationWindow
  * main-window: Fix the indentation

  [ Andika Triwidada ]
  * Added Indonesian translation
  * Update Indonesian translation

  [ Efstathios Iosifidis ]
  * po: Add Greek translation
  * po: Update LINGUAS
  * Update Greek translation
  * Update Greek translation

  [ Danial Behzadi ]
  * Add Persian
  * po: fa: Update some strings
  * Update Persian translation

  [ Luna Jernberg ]
  * po: Update Swedish translation

  [ scootergrisen ]
  * po: Add Danish translation
  * po: Add da to LINGUAS
  * po: Update Danish translation
  * po: Update Danish translation

  [ anteater ]
  * ofono: fix return of incorrect field
  * ofono: ref self across async callback
  * ofono: don't clear self->modem after constructing CallsOfonoOrigin
  * ofono: track status in CallsOfonoProvider
  * ofono: correct variant format confusion
  * ofono: add calls-ofono-provider.c to POTFILES.skip

  [ Balázs Meskó ]
  * po: Add Hungarian translation
  * po:Update Hungarian translation

  [ JaroslavSvoboda ]
  * Added Czech translation

  [ Emin Tufan Çetin ]
  * po: Add Turkish translation
  * po: Add Turkish to LINGUAS
  * po: Update Turkish translation
  * po: Update Turkish translation

  [ Jan Jasper de Kroon ]
  * po: Add Dutch translation

  [ Pierre Michel Augustin ]
  * po: Add Creole Haitian translation

  [ carlosgonz ]
  * po: Update spanish translation

  [ Arnaud Ferraris ]
  * ui: call-display: wrap toggle buttons' labels
  * call-display: replace ugly hacks with libcallaudio calls
  * application: initialize libcallaudio on startup
  * ui: call-display: set speaker and mute buttons sensitive by default
  * src: meson.build: remove librem5-hack option and depend on libcallaudio
  * d/control: depend on callaudiod
  * call-display: update libcallaudio API calls
  * src: meson.build: update libcallaudio dependency
  * d/control: add version requirement on libcallaudio build dependency
  * flatpak: update callaudiod version
  * call-display: switch to default audio profile only if no other call

  [ Sebastian Rasmussen ]
  * po: Add Swedish translation
  * po: Update Swedish translation

  [ Julian Sparber ]
  * flatpak: fix ModemManager
  * docs: update depedencies instructions
  * Replace HdyDialer with HdyKeypad and bump libhandy to 0.0.12
  * NewCallBox+CallDisplay: UI facelift
  * Use correct parent class when chaining up overridden functions
  * Flatpak: use always a space before :
  * Flatpak: Fix flatpak manifest, remove java dep and update deps
  * CallHistory: Add a frame to the call history
  * CallHistory: Disable selecting/activating rows and ellipzise
  * Add .gitignore
  * Add class for in-app notification
  * MainWindow: use in-app notification for messages
  * CallWindow: use in-app notification
  * CallHistory: Use dial action for recall button
  * CallHistory: Don't pass the CallsNewCallBox to the CallsHistory
  * Add Julian Sparber as maintainer
  * Release Calls 0.1.3
  * DummyPlugin: fix events emits for call-removed, origin-*
  * MMPlugin: emit *-removed after removing object
  * Add a CallsManager and move Provider handling to it
  * Manager: add test
  * Use CallsManager in MainWindow and NewCallBox
  * CallWindow: use Manager
  * Ringer: fix parent instance
  * Ringer: Use Manager
  * RecordStore: Use Manager
  * Remove Enumerate and EnumerateParams class
  * HistoryBox: remove new-call property
  * MainWindow: show error message when making calls isn't possible
  * Add HdyAvatar
  * History: use HdyAvatar
  * History: Make avatars 48px big
  * Release Calls 0.1.4
  * application: disable dial action when making calls isn't possible
  * ci: build packages only for byzantium
  * ci: don't use global variables and definitions
  * ci: drop bullseyeci packages
  * flatpak: use master runtime
  * flatpak: add libcanberra
  * ci: build flatpak
  * ci: write STDOUT for flatpak build to file
  * Revert "ci: write STDOUT for flatpak build to file"
  * remove CallsCallHolder and CallsCallData
  * ContactsProvider: Add contacts provider
  * Contacts: replace CallsContacts with CallsContactsProvider
  * Revert "ui/main-window: Hide contacts pane"
  * Contacts: Add contacts list
  * BestMatch: Turn avatar into a property
  * BestMatch: Move SearchView creation inside the class
  * BestMatch: Allways return a name
  * BestMatch: Simplify code for updating new best matching individual
  * BestMatch: remove BestMatchView to reduce vala code
  * BestMatch: add has-individual property
  * CallsCall: Add method to optain matching contact
  * CallsCallDisplay: Make sure that the contact infomation is updated
  * CallsCallSelectorItem: Make sure that the contact infomation is updated
  * CallManager: drop calls_manager_get_contact_name ()
  * Remove unused CallsParty
  * CallsCallRecordRow: Cleanup contact setup
  * CallsCallDisplay: use HdyAvatar

  [ Sebastian Krzyszkowiak ]
  * gitlab-ci: Use bullseye CI repo
  * Document changes and release 0.1.9
  * debian: Add maintscript to rename xdg autostart file
  * Document changes and release 0.2.0
  * gitlab-ci: Don't use global before_script for package jobs

  [ Timo Jyrinki ]
  * po: Add Finnish translation from JRfi, refined by me.

  [ Daniel Abrecht ]
  * Fix some lintian warnings regarding the debian/copyright file.
  * Convert calls call getters to readonly properties
  * Notify if number changes in mm plugin
  * Reintroduce GParamSpec props arrays & replace g_object_notify with g_object_notify_by_pspec
  * Replace CallsOrigin getters with properties and add calls_origin_foreach_call method
  * Don't localise property descriptions in calls-call and calls-origin properties

  [ James Westman ]
  * flatpak: Add feedbackd, dependencies to flatpak
  * flatpak: Add callaudiod to flatpak

  [ Matthias Klumpp ]
  * trivial: metainfo: style
  * metainfo: Mark app as touch-input compatible

  [ Juliano de Souza Camargo ]
  * po: Add Portuguese translation

  [ Марко М. Костић (Marko M. Kostić) ]
  * po: Add Serbian translation

  [ Thibault Martin ]
  * po: Update French translation

  [ Daniel Mustieles ]
  * po: Add Spanish translation

  [ Valéry Febvre ]
  * po: Add French translation
  * po: Update French translation

  [ Marc Riera Irigoyen ]
  * po: Add Catalan translation

  [ Tim Sabsch ]
  * po: Add German translation

  [ Scott Anecito ]
  * po: Add Japanese translation
  * po: Add ja.po to LINGUAS

  [ Antonio Pandolfo ]
  * po: Add Italian translation

  [ Zander Brown ]
  * po: Add British English translation

  [ David Heidelberg ]
  * data: rename appdata to metainfo

  [ tor sorensen ]
  * Add license COPYING file for appropriate packaging. 

  [ Bob Ham ]
  * Initial import of cleaned Calls working tree
  * meson: get rid of topdir_includes variable
  * main-window.ui: Make sure message text wraps
  * Preliminary documentation of provider interfaces
  * meson: install Calls binary and make libgdbofono static
  * Add Debian packaging
  * Merge branch 'debian-packaging' into 'master'
  * call: Allow for the inability to stop DTMF tones
  * ofono-{call,origin}: Send DTMF tones for active calls
  * ofono-origin: Remove commented-out junk
  * calls.doap: Update homepage location
  * README.md: Fix markdown for link to oFono source code
  * debian: Add copyright file
  * Add .desktop file and icon
  * Revert "meson: Add install flag for libgdbofono"
  * appdata.xml: Fix data to match calls.doap
  * dummy-provider: Fix get_origins to return a copy of the origin list
  * desktop: Don't specify %U for Exec
  * dummy-{provider,origin,calls}: Fix up dummy provider
  * data: Fix tests for desktop and appstream files
  * Add initial unit tests for Provider
  * Merge branch 'unit-tests' into 'master'
  * debian/control: Add xvfb and xauth as Build-Depends
  * README: Clarify how to run Calls
  * Merge branch 'gitlab-ci' into 'master'
  * Merge branch 'call-display-cleanup' into 'master'
  * Merge branch 'call-display-overhaul' into 'master'
  * Merge branch 'dispose' into 'master'
  * Merge branch 'meson-version' into 'master'
  * Add ModemManager provider
  * Fix GitLab CI and Debian packaging for ModemManager dependencies
  * Merge branch 'mm-gitlab-ci-and-debian-fixes' into 'master'
  * Merge branch 'bug-template' into 'master'
  * Merge branch 'set-app-id' into 'master'
  * Merge branch 'partial-ui-overhaul' into 'master'
  * d/control: Depend on modemmanager, not ofono
  * Merge branch 'debian-modemmanager-fix' into 'master'
  * Merge branch 'answering-calls-fixes' into 'master'
  * Merge branch 'flatpak-dconf' into 'master'
  * Merge branch 'wip/sadiq/fixes' into 'master'
  * Merge branch 'partial-ui-overhaul' into 'master'
  * Merge branch 'modem-warning' into 'master'
  * Merge branch 'display-dialer-by-default' into 'master'
  * Merge branch 'wip/sadiq/history' into 'master'
  * Merge branch 'i18n' into 'master'
  * tests: Add tests for Origin and Calls
  * Merge branch 'unit-tests' into 'master'
  * Merge branch 'wip/sadiq/app-fix' into 'master'
  * main-window,new-call-box: Move origin store from MainWindow to NewCallBox
  * main-window: No need to store calls so remove holders here
  * src: Give the Provider to the CallWindow on construction
  * main-window: Set up Provider in constructed callback
  * Merge branch 'post-ui-change-cleanups' into 'master'
  * call-window: Don't update visibility unnecessarily
  * call-window: Fix leak of references returned by g_list_model_get_item()
  * call-window: Don't maintain unneeded focus pointer
  * call-window: Fix leak of initial CallHolder reference
  * call-holder: Fix widget references
  * call-holder,call-selector-item: Dispose mutual references properly
  * call-window: Remove display and holder in the right order
  * call-window: Reference selector item widget in creation callback
  * Merge branch 'sadiq-review-fixes' into 'master'
  * src: Remove errant calls-ofono-object files
  * Merge branch 'remove-ofono-object' into 'master'
  * Fix modem addition/removal and deal with ModemManager appearing/vanishing
  * Merge branch 'monitor-modemmanager' into 'master'
  * src: Generalise Provider object enumeration with calls_enumerate()
  * src: Add old state as argument to CallsCall's state-changed signal
  * main: Remove needless cast to GtkApplication
  * Add ringtone support using GSound
  * Merge branch 'ringtones' into 'master'
  * Turn providers into plugins courtesy of libpeas
  * Merge branch 'plugins' into 'master'
  * data: Update icon file
  * Merge branch 'icon' into 'master'
  * Merge branch 'flatpak' into 'master'
  * Merge branch 'libhandy-glade' into 'master'
  * sm.puri.Calls.json: Add gsound and libpeas modules as dependencies
  * Merge branch 'flatpak-gsound-libpeas' into 'master'
  * src: Remove mutual reference between call -holder and -selector-item
  * Merge branch 'remove-mutual-reference' into 'master'
  * README.md: Update dependencies and instructions to build/run Calls
  * meson.build: Bump version to 0.0.1
  * Merge branch 'first-release' into 'master'
  * d/changelog: Bump version to 0.0.1
  * Merge branch 'first-release' into 'master'
  * Merge branch 'wip/sadiq/fixes' into 'master'
  * Merge branch 'wip/sadiq/windows' into 'master'
  * Merge branch 'christopherdavis/change-about-label' into 'master'
  * calls-call: Add inbound property
  * plugins/mm: Implement inbound property
  * plugins/dummy: Implement inbound property
  * calls-dummy-provider: Create an inbound call on SIGUSR1
  * Update UI to better reflect the design
  * Merge branch 'ui-updates' into 'master'
  * calls-call: Fix crash with null call state
  * Merge branch 'fix-dialing-crash' into 'master'
  * calls-main-window: Use HdyViewSwitcher and friends
  * Merge branch 'view-switcher' into 'master'
  * src: Remove extraneous classes, Calls{History,NewCall}HeaderBar
  * Merge branch 'view-switcher-redux' into 'master'
  * Specify minimum libhandy version in meson and Debian packaging
  * Merge branch 'libhandy-minimum-version' into 'master'
  * calls-call-display: Add a display of dial pad digits
  * Merge branch 'dial-pad-display' into 'master'
  * util: Fix off-by-one in calls_entry_append
  * Merge branch 'entry-off-by-one-fix' into 'master'
  * Merge branch 'flatpak' into 'master'
  * Merge branch 'recents-empty-state-label' into 'master'
  * Merge branch 'symbolic-switcher-icons' into 'master'
  * Merge branch 'david.boddie/calls-suppress-input-methods-in-dialler' into 'master'
  * calls-mm-call: Map MM_CALL_STATE_UNKNOWN to CALLS_CALL_STATE_DIALING instead of 0
  * calls-call: Add calls_call_get_inbound function
  * calls-dummy-origin: Fix ordering of state change and call removal callbacks
  * Record calls to an SQLite database via libgom
  * Merge branch 'call-records' into 'master'
  * Hook up Recent Calls list to database
  * appdata: Fix application ID
  * Support opening of tel: URIs
  * Merge branch 'call-records' into 'master'
  * Merge branch 'tel-url-handler' into 'master'
  * calls-application: Add --daemon option to not display main window
  * Start up in daemon mode when GNOME starts
  * Merge branch 'gnome-session' into 'master'
  * calls-new-call-box: Allow entering of "+" symbol
  * Merge branch 'dial-pad-number-property' into 'master'
  * Use GtkApplication::register-session property to register
  * Merge branch 'session-rework' into 'master'
  * Merge branch 'build-deps' into 'master'
  * Display call window over the phosh lockscreen
  * Merge branch 'lockscreen-gtkapplication' into 'master'
  * ui/main-window: Hide contacts pane
  * Merge branch 'hide-contacts-pane' into 'master'
  * Release Calls 0.1.0
  * Merge branch 'release-v0.1.0' into 'master'
  * ringer: Use the GTK sound theme
  * Add phone number lookup using libfolks
  * Use libfolks phone number lookup in call record display
  * Add -Wno-error=deprecated-declarations to build arguments
  * call-display: Add ugly, ugly hacks to enable speakerphone/mute buttons
  * Add initial avatar support
  * Release Calls 0.1.1
  * d/changelog: Fix distribution name
  * call-display: Only mute the microphone with the Mute button
  * mm-call: Sanitise disconnect messages
  * Release Calls 0.1.2
  * application: Add "--dial" command-line option

  [ Lubomir Rintel ]
  * appdata.xml: fix a validation error

  [ David Boddie ]
  * Override the input method for entry widgets

  [ Tobias Bernard ]
  * Minor: Change recent calls empty state label
  * Switcher: symbolic icons, label capitalization

  [ Christopher Davis ]
  * history-header-bar: Change "About" to "About Calls"

  [ David Cordero ]
  * sm.puri.Calls.json: Fix libhandy config option type

  [ Claude Paroz ]
  * Add i18n basic structure

  [ purism ]
  * mm-call: Fix mapping of alerting/incoming call states
  * mm-origin: Delete remnant disconnected calls on startup
  * mm-call,call-display: Add more debugging output for state changes
  * mm-call: Set call state on construction
  * main-window: Display the dialer on startup rather than empty history

  [ Heather Ellsworth ]
  * Add issue template
  * Fix typo and rewording
  * Merge branch 'flatpak-modem-manager' into 'master'

  [ Julian Richen ]
  * meson: Improve and validate desktop entry
  * meson: Add an appdata and a validation test
  * meson: Add install flag for libgdbofono
  * flatpak: Inital flatpak manifest

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 25 Aug 2021 00:30:00 +0200

